export interface CabinetDetailDTO {
  cabinetId: number
  cabinetName: string
  lockControlNo: number
  cells: CellInfoDTO[]
}

export interface CellInfoDTO {
  cellId: number
  pinNo: number
  product?: ProductInfoDTO
}

export interface ProductInfoDTO {
  goodsId: number
  goodsName: string
  price: number
  coverImg: string
}

export type CabinetDetailResponse = ApiResponseData<CabinetDetailDTO[]>